SetFactory("OpenCASCADE");
//+
Point(1) = {0, 0, 0, 1.0};
//+
Point(2) = {1, 1, 0, 1.0};
//+
Point(3) = {1, 2, 0, 1.0};
//+
Point(4) = {0, 3, 0, 1.0};
//+
Point(5) = {-2, 3, 0, 1.0};
//+
Point(6) = {-3, 2, 0, 1.0};
//+
Point(7) = {-3, 1, 0, 1.0};
//+
Point(8) = {-2, 0, 0, 1.0};

Point(9) = {-1.5, 0, 0, 1.0};
//+

//+
Point(10) = {0, 0.25, 0, 1.0};
//+
Point(11) = {0.75, 1, 0, 1.0};
//+
Point(12) = {0.75, 2, 0, 1.0};
//+
Point(13) = {0, 2.75, 0, 1.0};
//+
Point(14) = {-2, 2.75, 0, 1.0};
//+
Point(15) = {-2.75, 2, 0, 1.0};
//+
Point(16) = {-2.75, 1, 0, 1.0};
//+
Point(17) = {-2, .25, 0, 1.0};
//+
Point(18) = {-1.5, .25, 0, 1.0};
//+
Line(1) = {1, 2};
//+
Line(2) = {2, 3};
//+
Line(3) = {3, 4};
//+
Line(4) = {4, 5};
//+
Line(5) = {5, 6};
//+
Line(6) = {6, 7};
//+
Line(7) = {7, 8};
//+
Line(8) = {8, 9};
//+
Line(9) = {9, 18};
//+
Line(10) = {18, 17};
//+
Line(11) = {17, 16};
//+
Line(12) = {16, 15};
//+
Line(13) = {15, 14};
//+
Line(14) = {14, 13};
//+
Line(15) = {13, 12};
//+
Line(16) = {12, 11};
//+
Line(17) = {11, 10};
//+
Line(18) = {10, 1};
//+




//+
Line(19) = {11, 2};
//+
Line(20) = {12, 3};
//+
Line(21) = {4, 13};
//+
Line(22) = {14, 5};
//+
Line(23) = {15, 6};
//+
Line(24) = {7, 16};
//+
Line(25) = {8, 17};
//+
Line Loop(1) = {17, 18, 1, -19};
//+
Plane Surface(1) = {1};
//+
Line Loop(2) = {16, 19, 2, -20};
//+
Plane Surface(2) = {2};
//+
Line Loop(3) = {15, 20, 3, 21};
//+
Plane Surface(3) = {3};
//+
Line Loop(4) = {14, -21, 4, -22};
//+
Plane Surface(4) = {4};
//+
Line Loop(5) = {13, 22, 5, -23};
//+
Plane Surface(5) = {5};
//+
Line Loop(6) = {6, 24, 12, 23};
//+
Plane Surface(6) = {6};
//+
Line Loop(7) = {7, 25, 11, -24};
//+
Plane Surface(7) = {7};
//+
Line Loop(8) = {10, -25, 8, 9};
//+
Plane Surface(8) = {8};
//+
Extrude {0, 0, .1} {
  Surface{1}; Surface{2}; Surface{3}; Surface{4}; Surface{5}; Surface{6}; Surface{7}; Surface{8}; 
}
//+
BooleanUnion{ Volume{1}; Delete; }{ Volume{2}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{3}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{4}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{5}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{6}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{7}; Delete; }
//+
BooleanUnion{ Volume{9}; Delete; }{ Volume{8}; Delete; }


//+

//+

//+
Point(37) = {0, 0.05, 0, 1.0};
//+
Point(38) = {0.95, 1, 0, 1.0};
//+
Point(39) = {0.95, 2, 0, 1.0};
//+
Point(40) = {0, 2.95, 0, 1.0};
//+
Point(41) = {-2, 2.95, 0, 1.0};
//+
Point(42) = {-2.95, 2, 0, 1.0};
//+
Point(43) = {-2.95, 1, 0, 1.0};
//+
Point(44) = {-2, .05, 0, 1.0};
//+
Point(45) = {-1.5, .05, 0, 1.0};
//+
Point(46) = {-1.5, .15, 0, 1.0};
//+
Point(47) = {-2, .15, 0, 1.0};
//+
Point(48) = {-2.85, 1, 0, 1.0};
//+
Point(49) = {-2.85, 2, 0, 1.0};
//+
Point(50) = {-2, 2.85, 0, 1.0};
//+
Point(51) = {0, 2.85, 0, 1.0};
//+
Point(52) = {0.85, 2, 0, 1.0};
//+
Point(53) = {0.85, 1, 0, 1.0};
//+
Point(54) = {0, .15, 0, 1.0};
//+
Line(69) = {37, 54};
//+
Line(70) = {54, 53};
//+
Line(71) = {53, 52};
//+
Line(72) = {52, 51};
//+
Line(73) = {51, 50};
//+
Line(74) = {50, 49};
//+
Line(75) = {49, 48};
//+
Line(76) = {48, 47};
//+
Line(77) = {47, 46};
//+
Line(78) = {46, 45};
//+
Line(79) = {45, 44};
//+
Line(80) = {44, 43};
//+
Line(81) = {43, 42};
//+
Line(82) = {42, 41};
//+
Line(83) = {41, 40};
//+
Line(84) = {40, 39};
//+
Line(85) = {39, 38};
//+
Line(86) = {38, 37};
//+
Line(87) = {47, 44};
//+
Line(88) = {48, 43};
//+
Line(89) = {49, 42};
//+
Line(90) = {50, 41};
//+
Line(91) = {51, 40};
//+
Line(92) = {52, 39};
//+
Line(93) = {53, 38};
//+
Line Loop(35) = {77, 78, 79, -87};
//+
Plane Surface(35) = {35};
//+
Line Loop(36) = {76, 87, 80, -88};
//+
Plane Surface(36) = {36};
//+
Line Loop(37) = {75, 88, 81, -89};
//+
Plane Surface(37) = {37};
//+
Line Loop(38) = {89, 82, -90, 74};
//+
Plane Surface(38) = {38};
//+
Line Loop(39) = {90, 83, -91, 73};
//+
Plane Surface(39) = {39};
//+
Line Loop(40) = {84, -92, 72, 91};
//+
Plane Surface(40) = {40};
//+
Line Loop(41) = {85, -93, 71, 92};
//+
Plane Surface(41) = {41};
//+
Line Loop(42) = {86, 69, 70, 93};
//+
Plane Surface(42) = {42};
//+
Extrude {0, 0, -.2} {
  Surface{35}; Surface{36}; Surface{37}; Surface{38}; Surface{39}; Surface{40}; Surface{41}; Surface{42}; 
}
//+
BooleanUnion{ Volume{2}; Delete; }{ Volume{3}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{4}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{5}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{6}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{7}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{8}; Delete; }
//+
BooleanUnion{ Volume{10}; Delete; }{ Volume{9}; Delete; }
//+
BooleanUnion{ Volume{2}; Delete; }{ Volume{1}; Delete; }
//+
Box(2) = {-4, -1, -1, 6, 5, 1.8};
//+
BooleanDifference{ Volume{2}; Delete; }{ Volume{1};  }

bb[]={};
phymid[]={};
bb[]=BoundingBox Volume{1};
bbSurfaces[] = Surface In BoundingBox{bb[0],bb[1],bb[2],bb[3],bb[4],bb[5] };
For i In {0: #bbSurfaces[]-1}
	If(bbSurfaces[i]!=3 && bbSurfaces[i]!=8 && bbSurfaces[i]!=59 && bbSurfaces[i]!=65)
		phymid[] += bbSurfaces[i];
	EndIf
EndFor
//+

Physical Surface(1) = {59, 65};
Physical Surface(2) = { phymid[] };
Physical Surface(3) = {8, 3};
//+
Physical Surface(4) = {70};
Physical Surface(5) = {69, 71, 73, 74};
Physical Surface(6) = {72};
//+
Physical Volume(1)={1};
Physical Volume(2)={2};

